<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Avisos
 *
 * @ORM\Table(name="avisos", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_pla", columns={"cve_pla"})})
 * @ORM\Entity
 */
class Avisos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_avi", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAvi;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_alu", type="integer", nullable=false)
     */
    private $cveAlu;

    /**
     * @var integer
     *
     * @ORM\Column(name="tipo_aviso", type="integer", nullable=false)
     */
    private $tipoAviso;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="motivo", type="string", length=500, nullable=false)
     */
    private $motivo;

    /**
     * @var string
     *
     * @ORM\Column(name="respuesta", type="string", length=500, nullable=false)
     */
    private $respuesta;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_pla", type="integer", nullable=false)
     */
    private $cvePla;



    /**
     * Get ideAvi
     *
     * @return integer
     */
    public function getIdeAvi()
    {
        return $this->ideAvi;
    }

    /**
     * Set cveAlu
     *
     * @param integer $cveAlu
     *
     * @return Avisos
     */
    public function setCveAlu($cveAlu)
    {
        $this->cveAlu = $cveAlu;

        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return integer
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set tipoAviso
     *
     * @param integer $tipoAviso
     *
     * @return Avisos
     */
    public function setTipoAviso($tipoAviso)
    {
        $this->tipoAviso = $tipoAviso;

        return $this;
    }

    /**
     * Get tipoAviso
     *
     * @return integer
     */
    public function getTipoAviso()
    {
        return $this->tipoAviso;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Avisos
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;

        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Avisos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set motivo
     *
     * @param string $motivo
     *
     * @return Avisos
     */
    public function setMotivo($motivo)
    {
        $this->motivo = $motivo;

        return $this;
    }

    /**
     * Get motivo
     *
     * @return string
     */
    public function getMotivo()
    {
        return $this->motivo;
    }

    /**
     * Set respuesta
     *
     * @param string $respuesta
     *
     * @return Avisos
     */
    public function setRespuesta($respuesta)
    {
        $this->respuesta = $respuesta;

        return $this;
    }

    /**
     * Get respuesta
     *
     * @return string
     */
    public function getRespuesta()
    {
        return $this->respuesta;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Avisos
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;

        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cvePla
     *
     * @param integer $cvePla
     *
     * @return Avisos
     */
    public function setCvePla($cvePla)
    {
        $this->cvePla = $cvePla;

        return $this;
    }

    /**
     * Get cvePla
     *
     * @return integer
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }
}
